package com.thebrokenrail.scriptcraft.api.bridge;

import com.thebrokenrail.scriptcraft.api.block.CustomBlock;
import com.thebrokenrail.scriptcraft.api.util.ValueUtil;
import com.thebrokenrail.scriptcraft.core.ScriptCraftCore;
import net.minecraft.state.property.BooleanProperty;
import net.minecraft.state.property.IntProperty;

class BlockStatePropertyBuilderBridges {
    static void register() {
        ScriptCraftCore.addBridge("BlockStatePropertyBuilder.create", args -> new CustomBlock.BlockStatePropertyBuilder());

        ScriptCraftCore.addBridge("BlockStatePropertyBuilder.intProperty", args -> {
            ((CustomBlock.BlockStatePropertyBuilder) args[0]).add(IntProperty.of((String) args[1], (int) ValueUtil.toDouble(args[2], 0), (int) ValueUtil.toDouble(args[3], 0)), (int) ValueUtil.toDouble(args[4], 0));
            return null;
        });
        ScriptCraftCore.addBridge("BlockStatePropertyBuilder.booleanProperty", args -> {
            ((CustomBlock.BlockStatePropertyBuilder) args[0]).add(BooleanProperty.of((String) args[1]), (Boolean) args[2]);
            return null;
        });

        ScriptCraftCore.addBridge("BlockStatePropertyBuilder.isValid", args -> args[0] instanceof CustomBlock.BlockStatePropertyBuilder);
    }
}
